Page MenuHomePhabricator

[OpenMP] New Tsan annotations to remove false positive on reduction and barriers
ClosedPublic

Authored by simoatze on Jan 26 2017, 3:55 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

simoatze created this revision.Jan 26 2017, 3:55 PM
Hahnfeld edited edge metadata.Jan 27 2017, 5:35 AM

@protze.joachim can this also suffer from the problems with multiple barriers in a parallel region we discussed?

Hahnfeld accepted this revision.Feb 15 2017, 12:18 AM

There are probably now some duplicate annotations. But we should go with the current version for now to fix this important use case.

This revision is now accepted and ready to land.Feb 15 2017, 12:18 AM
This revision was automatically updated to reflect the committed changes.